par=1

while par~=5
x=[];
z=[];
err=[];

par2 = menu('Welches Verfahren', ...
  'Euler-vorw.','Heun    ','Runge-Kutta 3.Ordnung','Runge-Kutta 4.Ordnung   ','     exit      ');
if (par2==5) 
      break;
end 
 
par=5; 
 

par1 = menu('Endzeit ?', ...
     '     1     ','   2     ','  5     ',' 10     ', ...
     '   15     ','     30     ');
%if (par==4) 
%      break;
%end % if   
tend=2^(par1-1);
for j=1:4
  y=[];
  t=[];
  

  h=10^(-j+1);
  n(j)=1+1/h*tend;

  for i=1:n(j)
    t(i)=(i-1)*h;
  end

 % Dimension+Anfang 
    d=2;
    y0(1)=1;
    y0(2)=-2;
 
  m=n(j);
  switch par2
      case 1,
        y=eulerv(t,par,y0,d,m,h);
      case 2,
        y=heun(t,par,y0,d,m,h); 
      case 3,
        y=runge3(t,par,y0,d,m,h);
      case 4,
        y=runge4(t,par,y0,d,m,h);
  end     
  z(1:m,2*j-1:2*j)=y;
  
  x(1:m,2*j-1)=t';
  x(1:m,2*j)=t';
end  


figure(1)
set(gca,'Fontsize',16,'Fontname','Times')
axis tight 
plot(x(1:n(1),1),z(1:n(1),1),'b+--',x(1:n(1),2),z(1:n(1),2),'gx-')
legend('y1','y2',2)
xlabel('t') 
ylabel('y2')
figure(2)
set(gca,'Fontsize',16,'Fontname','Times')
axis tight 
plot(x(1:n(2),3),z(1:n(2),3),'b+--',x(1:n(2),4),z(1:n(2),4),'gx-')
legend('y1','y2',2)
xlabel('t') 
ylabel('y2')
figure(3)
set(gca,'Fontsize',16,'Fontname','Times')
axis tight 
plot(x(1:n(3),5),z(1:n(3),5),'b+--',x(1:n(3),6),z(1:n(3),6),'gx-')
legend('y1','y2',2)
xlabel('t') 
ylabel('y2')
figure(4)
set(gca,'Fontsize',16,'Fontname','Times')
axis tight 
plot(x(1:n(4),7),z(1:n(4),7),'b+--',x(1:n(4),8),z(1:n(4),8),'gx-')
legend('y1','y2',2)
xlabel('t') 
ylabel('y2')

end
    


 
 
